<?php

namespace Lean\Console\Controller;

use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };

use Notes\Route\Annotation\Object\Route as RouteParam,
    Notes\Route\Annotation\Method\Route,
    Notes\Security\Annotation\Security,
    Notes\Tell\Annotation\Language;

use \Lean\Console\Lib;

/**
 * @Language("lean.dev")
 */
class Dev {
    use Lib\ConsoleControllerTrait;

    /**
     * @Route("/phpinfo", "name" => "lean.dev:phpinfo")
     */
    public function home(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        phpinfo();
        die();
    }
}